body { font-family: sans-serif; }
table { border-collapse: collapse; }
td {
  width: 23px;
  height: 23px;
  border: 1px solid #aaa;
  text-align: center;
  cursor: pointer;
}
.selected {
  outline: 4px solid gray;
  outline-offset: -1px;
  border: 2px solid gray !important;
}
.action-link {
  cursor: pointer;
  color: blue;
  text-decoration: underline;
}
.next-action {
  color: #012073 !important;
}
.sea { background-color: #66b3ff; }
.port { background-color: #1f78b4; }
.oilRig { background: linear-gradient(#66b3ff, #004b8d); }
.plain { background-color: #dfffcc; }
.waste { background-color: #bbbbbb; }
.forest { background-color: #228B22; }
.mountain { background: linear-gradient(#705335, #4b3621); }
.farm { background-color: #b5e07a; }
.house { background-color: #fff3c4; }
.factory { background-color: #ccccff; }
.gun { background-color: #666666; }
.defenseFacility { background-color: #ff77aa; }
.Monument { background-color: #d4c17d; }
.warship { background: linear-gradient(#66b3ff, #4682B4); }
.warship-dispatched { background-color: #002f5f; color: #fff; }
.warship-wreckage { background-color: #333; color: #ccc; }
  .log-red {
    color: red;
  }
  .log-cyan {
    color: blue;
  }
  #warshipBuildInputs {
      display: none;
      margin-top: 1em;
      border: 1px solid #ccc;
      padding: 10px;
      background-color: #f9f9f9;
  }
  #warshipBuildInputs label {
      display: inline-block;
      width: 100px;
      margin-bottom: 5px;
  }
  #warshipBuildInputs input[type="text"],
  #warshipBuildInputs input[type="number"] {
      width: 150px;
      margin-bottom: 5px;
  }
  .warship-name-cap-2 {
    color: green;
  }
  .warship-name-cap-3 {
    color: blue;
  }
  .warship-name-cap-4 {
    color: purple;
  }
  .warship-name-cap-5 {
    color: red;
  }
 .warship-sp {
    color: orange;
  }

/* 背景のオーバーレイ */
.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 9999;
  justify-content: center;
  align-items: center;
}
/* ポップアップの中身 */
.modal-content {
  background-color: white;
  padding: 20px;
  border-radius: 8px;
  width: 80%;
  max-width: 400px;
  text-align: center;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}


noscript {
  display: block;
}
.NOJS-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background-color: #dfd;
  color: #000;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center; 
  font-family: sans-serif;
  padding: 20px;
}
/* メッセージの装飾 */
.NOJS-overlay h2 {
  font-size: 2rem;
  margin-bottom: 1rem;
  color: #161;
}
.NOJS-overlay p {
  font-size: 1.1rem;
  line-height: 1.6;
  max-width: 600px;
}
